<app-header-bar [page]="'Product-List'"></app-header-bar>
<div class="grid grid-cols-1 lg:grid-cols-[1fr,4fr] px-14 gap-5">
  <app-categorys [categorys]="categorys" (categoryChange)="onCategoryChange($event)"
    [totalCountProduct]="totalCountProduct" (searchQueryChange)="onSearchQueryChange($event)">
  </app-categorys>
  <app-product-list-client [products]="filteredProducts"></app-product-list-client>
</div>
<div class="px-14">
  <app-banner></app-banner>
</div>